From 160de39242fda6140c7000afdc62d7bb5ceb37e3 Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Sat, 11 Nov 2017 12:37:39 +0200
Subject: [PATCH 12/12] run_stub: show datadir when starting up

This way it's possible to follow logs etc while running the stub.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2017, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 run_stub | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/run_stub b/run_stub
index 0cdac00e6985..964b4e9a14e5 100755
--- a/run_stub
+++ b/run_stub
@@ -77,6 +77,8 @@ def main():
 
       args = parser.parse_args()
 
+      print 'Using datadir: %s' % (datadir)
+
       git = stubs.GitStub(smtpport=SMTP_PORT)
       git.start()
 
@@ -111,7 +113,7 @@ def main():
       if not args.keep:
             shutil.rmtree(datadir)
       else:
-            print 'Keeping temporary datadir %s' % (datadir)
+            print 'Keeping temporary datadir: %s' % (datadir)
 
 if __name__ == "__main__":
       main()
-- 
2.7.4

